Bug 1252142 - Creation and group association of bundle fails with timeout followed by IllegalArgumentException: Token did not result in valid file
Creation and group association of bundle fails with timeout followed by Illeg...
Status: CLOSED ERRATA
Product: JBoss Operations Network
Classification: JBoss
Component: Provisioning (Show other bugs)
JON 3.3.3
Unspecified Unspecified
urgent Severity high
: ER02
: JON 3.3.4
Assigned To: Jay Shaughnessy
Filip Brychta
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-10 15:49 EDT by dsteigne
Modified: 2015-10-28 10:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-28 10:37:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Printscreen of bundle creation error (113.37 KB, image/png)
2015-08-10 15:49 EDT, dsteigne
no flags Details
Next button (118.16 KB, image/png)
2015-08-10 15:50 EDT, dsteigne
no flags Details
server log from my test (4.28 MB, text/plain)
2015-09-30 14:51 EDT, dsteigne
no flags Details
Bundle user's permissions (183.81 KB, image/png)
2015-09-30 14:52 EDT, dsteigne
no flags Details
Latest Server.log from test (1.30 MB, text/plain)
2015-10-01 07:56 EDT, dsteigne
no flags Details
screenshot after first click (94.34 KB, image/png)
2015-10-09 07:51 EDT, Filip Brychta
no flags Details
screenshot after second click (89.03 KB, image/png)
2015-10-09 07:51 EDT, Filip Brychta
no flags Details
screenshot after third click (95.41 KB, image/png)
2015-10-09 07:52 EDT, Filip Brychta
no flags Details
server log (60.59 KB, text/plain)
2015-10-09 07:52 EDT, Filip Brychta
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1571243 None None None Never

  None (edit)
Description dsteigne 2015-08-10 15:49:00 EDT
Description of problem:
A user with the _Create Bundle In Group_ permission is unable to create a bundle and associate it with a bundle group when the bundle archive file is large. The upload of the file times out, but the Next button is still active and clicking on it will give the below error:

    ERROR [org.jboss.as.ejb3.invocation] (http-/0.0.0.0:7080-6) JBAS014134: EJB Invocation failed on component BundleManagerBean for method public abstract org.rhq.core.domain.bundle.BundleVersion 
14:36:34,178 ERROR [org.jboss.as.ejb3.invocation] (http-/127.0.0.1:7080-5) JBAS014134: EJB Invocation failed on component BundleManagerBean for method public abstract org.rhq.core.domain.bundle.BundleVersion org.rhq.enterprise.server.bundle.BundleManagerLocal.createInitialBundleVersionViaToken(org.rhq.core.domain.auth.Subject,int[],java.lang.String) throws java.lang.Exception: javax.ejb.EJBException: java.lang.IllegalArgumentException: Token did not result in valid file [/NotBackedUp/dsteigne/jon3.3.0/jon-server-3.3.0.GA/jbossas/standalone/tmp]
	at org.jboss.as.ejb3.tx.CMTTxInterceptor.handleExceptionInNoTx(CMTTxInterceptor.java:215) [jboss-as-ejb3-7.4.3.Final-redhat-2.jar:7.4.3.Final-redhat-2]
	at org.jboss.as.ejb3.tx.CMTTxInterceptor.invokeInNoTx(CMTTxInterceptor.java:261) [jboss-as-ejb3-7.4.3.Final-redhat-2.jar:7.4.3.Final-redhat-2]
	at org.jboss.as.ejb3.tx.CMTTxInterceptor.never(CMTTxInterceptor.java:309) [jboss-as-ejb3-7.4.3.Final-redhat-2.jar:7.4.3.Final-redhat-2]
	at org.jboss.as.ejb3.tx.CMTTxInterceptor.processInvocation(CMTTxInterceptor.java:234) [jboss-as-ejb3-7.4.3.Final-redhat-2.jar:7.4.3.Final-redhat-2]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ejb3.component.interceptors.CurrentInvocationContextInterceptor.processInvocation(CurrentInvocationContextInterceptor.java:41) [jboss-as-ejb3-7.4.3.Final-redhat-2.jar:7.4.3.Final-redhat-2]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ejb3.component.invocationmetrics.WaitTimeInterceptor.processInvocation(WaitTimeInterceptor.java:43) [jboss-as-ejb3-7.4.3.Final-redhat-2.jar:7.4.3.Final-redhat-2]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ejb3.component.interceptors.ShutDownInterceptorFactory$1.processInvocation(ShutDownInterceptorFactory.java:64) [jboss-as-ejb3-7.4.3.Final-redhat-2.jar:7.4.3.Final-redhat-2]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ejb3.component.interceptors.LoggingInterceptor.processInvocation(LoggingInterceptor.java:59) [jboss-as-ejb3-7.4.3.Final-redhat-2.jar:7.4.3.Final-redhat-2]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ee.component.NamespaceContextInterceptor.processInvocation(NamespaceContextInterceptor.java:50) [jboss-as-ee-7.4.3.Final-redhat-2.jar:7.4.3.Final-redhat-2]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ejb3.component.interceptors.AdditionalSetupInterceptor.processInvocation(AdditionalSetupInterceptor.java:55) [jboss-as-ejb3-7.4.3.Final-redhat-2.jar:7.4.3.Final-redhat-2]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ee.component.TCCLInterceptor.processInvocation(TCCLInterceptor.java:45) [jboss-as-ee-7.4.3.Final-redhat-2.jar:7.4.3.Final-redhat-2]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ee.component.ViewService$View.invoke(ViewService.java:185) [jboss-as-ee-7.4.3.Final-redhat-2.jar:7.4.3.Final-redhat-2]
	at org.jboss.as.ee.component.ViewDescription$1.processInvocation(ViewDescription.java:182) [jboss-as-ee-7.4.3.Final-redhat-2.jar:7.4.3.Final-redhat-2]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ee.component.ProxyInvocationHandler.invoke(ProxyInvocationHandler.java:73) [jboss-as-ee-7.4.3.Final-redhat-2.jar:7.4.3.Final-redhat-2]
	at org.rhq.enterprise.server.bundle.BundleManagerLocal$$$view80.createInitialBundleVersionViaToken(Unknown Source) [rhq-server.jar:4.12.0.JON330GA-redhat-3]
	at org.rhq.coregui.server.gwt.BundleGWTServiceImpl.createInitialBundleVersionViaToken(BundleGWTServiceImpl.java:117)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [rt.jar:1.7.0_51]
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57) [rt.jar:1.7.0_51]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_51]
	at java.lang.reflect.Method.invoke(Method.java:606) [rt.jar:1.7.0_51]
	at com.google.gwt.user.server.rpc.RPC.invokeAndEncodeResponse(RPC.java:561)
	at com.google.gwt.user.server.rpc.RemoteServiceServlet.processCall(RemoteServiceServlet.java:208)
	at com.google.gwt.user.server.rpc.RemoteServiceServlet.processPost(RemoteServiceServlet.java:248)
	at com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet.doPost(AbstractRemoteServiceServlet.java:62)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:754) [jboss-servlet-api_3.0_spec-1.0.2.Final-redhat-1.jar:1.0.2.Final-redhat-1]
	at org.rhq.coregui.server.gwt.AbstractGWTServiceImpl.service(AbstractGWTServiceImpl.java:88)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:847) [jboss-servlet-api_3.0_spec-1.0.2.Final-redhat-1.jar:1.0.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214)
	at org.rhq.helpers.rtfilter.filter.RtFilter.doFilter(RtFilter.java:125) [rhq-rtfilter-4.12.0.JON330GA-redhat-1.jar:4.12.0.JON330GA-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214)
	at org.rhq.coregui.server.filter.CacheControlFilter.doFilter(CacheControlFilter.java:71)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214)
	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:231)
	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:149)
	at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50) [jboss-as-jpa-7.4.3.Final-redhat-2.jar:7.4.3.Final-redhat-2]
	at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50) [jboss-as-jpa-7.4.3.Final-redhat-2.jar:7.4.3.Final-redhat-2]
	at org.jboss.as.web.security.SecurityContextAssociationValve.invoke(SecurityContextAssociationValve.java:169)
	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:145)
	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:97)
	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:102)
	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:344)
	at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:856)
	at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:653)
	at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:926)
	at java.lang.Thread.run(Thread.java:744) [rt.jar:1.7.0_51]
Caused by: java.lang.IllegalArgumentException: Token did not result in valid file [/NotBackedUp/dsteigne/jon3.3.0/jon-server-3.3.0.GA/jbossas/standalone/tmp]
	at org.rhq.enterprise.server.bundle.BundleManagerBean.createInitialBundleVersionViaToken(BundleManagerBean.java:2671) [rhq-server.jar:4.12.0.JON330GA-redhat-3]
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [rt.jar:1.7.0_51]
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57) [rt.jar:1.7.0_51]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_51]
	at java.lang.reflect.Method.invoke(Method.java:606) [rt.jar:1.7.0_51]
	at org.jboss.as.ee.component.ManagedReferenceMethodInterceptor.processInvocation(ManagedReferenceMethodInterceptor.java:52) [jboss-as-ee-7.4.3.Final-redhat-2.jar:7.4.3.Final-redhat-2]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.invocation.WeavedInterceptor.processInvocation(WeavedInterceptor.java:53) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ee.component.interceptors.UserInterceptorFactory$1.processInvocation(UserInterceptorFactory.java:63) [jboss-as-ee-7.4.3.Final-redhat-2.jar:7.4.3.Final-redhat-2]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.invocation.InterceptorContext$Invocation.proceed(InterceptorContext.java:374) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.rhq.enterprise.server.common.PerformanceMonitorInterceptor.monitorHibernatePerformance(PerformanceMonitorInterceptor.java:26) [rhq-server.jar:4.12.0.JON330GA-redhat-3]
	at sun.reflect.GeneratedMethodAccessor96.invoke(Unknown Source) [:1.7.0_51]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_51]
	at java.lang.reflect.Method.invoke(Method.java:606) [rt.jar:1.7.0_51]
	at org.jboss.as.ee.component.ManagedReferenceLifecycleMethodInterceptor.processInvocation(ManagedReferenceLifecycleMethodInterceptor.java:89) [jboss-as-ee-7.4.3.Final-redhat-2.jar:7.4.3.Final-redhat-2]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.invocation.InterceptorContext$Invocation.proceed(InterceptorContext.java:374) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.rhq.enterprise.server.common.TransactionInterruptInterceptor.addCheckedActionToTransactionManager(TransactionInterruptInterceptor.java:78) [rhq-server.jar:4.12.0.JON330GA-redhat-3]
	at sun.reflect.GeneratedMethodAccessor95.invoke(Unknown Source) [:1.7.0_51]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_51]
	at java.lang.reflect.Method.invoke(Method.java:606) [rt.jar:1.7.0_51]
	at org.jboss.as.ee.component.ManagedReferenceLifecycleMethodInterceptor.processInvocation(ManagedReferenceLifecycleMethodInterceptor.java:89) [jboss-as-ee-7.4.3.Final-redhat-2.jar:7.4.3.Final-redhat-2]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.invocation.InterceptorContext$Invocation.proceed(InterceptorContext.java:374) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.rhq.enterprise.server.authz.RequiredPermissionsInterceptor.checkRequiredPermissions(RequiredPermissionsInterceptor.java:156) [rhq-server.jar:4.12.0.JON330GA-redhat-3]
	at sun.reflect.GeneratedMethodAccessor94.invoke(Unknown Source) [:1.7.0_51]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_51]
	at java.lang.reflect.Method.invoke(Method.java:606) [rt.jar:1.7.0_51]
	at org.jboss.as.ee.component.ManagedReferenceLifecycleMethodInterceptor.processInvocation(ManagedReferenceLifecycleMethodInterceptor.java:89) [jboss-as-ee-7.4.3.Final-redhat-2.jar:7.4.3.Final-redhat-2]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.invocation.WeavedInterceptor.processInvocation(WeavedInterceptor.java:53) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ee.component.interceptors.UserInterceptorFactory$1.processInvocation(UserInterceptorFactory.java:63) [jboss-as-ee-7.4.3.Final-redhat-2.jar:7.4.3.Final-redhat-2]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ejb3.component.invocationmetrics.ExecutionTimeInterceptor.processInvocation(ExecutionTimeInterceptor.java:49) [jboss-as-ejb3-7.4.3.Final-redhat-2.jar:7.4.3.Final-redhat-2]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.jpa.interceptor.SBInvocationInterceptor.processInvocation(SBInvocationInterceptor.java:47) [jboss-as-jpa-7.4.3.Final-redhat-2.jar:7.4.3.Final-redhat-2]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.invocation.InitialInterceptor.processInvocation(InitialInterceptor.java:21) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ee.component.interceptors.ComponentDispatcherInterceptor.processInvocation(ComponentDispatcherInterceptor.java:53) [jboss-as-ee-7.4.3.Final-redhat-2.jar:7.4.3.Final-redhat-2]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ejb3.component.pool.PooledInstanceInterceptor.processInvocation(PooledInstanceInterceptor.java:51) [jboss-as-ejb3-7.4.3.Final-redhat-2.jar:7.4.3.Final-redhat-2]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ejb3.tx.CMTTxInterceptor.invokeInNoTx(CMTTxInterceptor.java:259) [jboss-as-ejb3-7.4.3.Final-redhat-2.jar:7.4.3.Final-redhat-2]
	... 57 more


Version-Release number of selected component (if applicable):
3.3.3

How reproducible:
Always

Steps to Reproduce:
1. Using the attached Sample.zip as rhqadmin, create the new bundle and deploy it to a Bundle group.  Takes a few minutes to upload the file but it succeeds
2. Logout and back in as a user with only bundle group permissions, create new using Sample2.zip, once on the bundle group assignment page, assign the group and click next, it timesout and the Next button is active, click on Next and the invalid argument exception is thrown(Printscreens attached)
3.

Actual results:
Bundle upload timesout


Expected results:
Bundle creation and assignment succeeds for the user with limited permissions.

Additional info:
Comment 1 dsteigne 2015-08-10 15:49:54 EDT
Created attachment 1061208 [details]
Printscreen of bundle creation error
Comment 2 dsteigne 2015-08-10 15:50:57 EDT
Created attachment 1061209 [details]
Next button
Comment 3 dsteigne 2015-08-10 16:01:38 EDT
My bundles are too large to attach to the bug,

Build a bundle archive that is at least 300 MB in size.

    ~~~
tmpDir="`mktemp -d`"

cat >"${tmpDir}"/deploy.xml <<EOF
<?xml version="1.0"?>
<project name="largeFile"
         default="main"
         xmlns:rhq="antlib:org.rhq.bundle">
  <target name="main" />

  <rhq:bundle name="Large File Test Bundle"
              version="1.0"
              description="A sample bundle consisting of a single large file">
    <rhq:deployment-unit name="files"
                         compliance="filesAndDirectories">
EOF

mkdir "${tmpDir}"/files
for file in {001..001}; do
    echo "This is File #${file}." > "${tmpDir}/files/file-${file}.txt"
    dd if=/dev/urandom of="${tmpDir}/files/file-${file}.bin" bs=30M count=10
    echo '      <rhq:file name="files/file-'"${file}"'.txt" destinationFile="files/file-'"${file}"'.txt" replace="true" />' >> "${tmpDir}"/deploy.xml
    echo '      <rhq:file name="files/file-'"${file}"'.bin" destinationFile="files/file-'"${file}"'.bin" replace="true" />' >> "${tmpDir}"/deploy.xml
done

cat >>"${tmpDir}"/deploy.xml <<EOF
    </rhq:deployment-unit>
  </rhq:bundle>
</project>
EOF
(cd "${tmpDir}" && zip -r /tmp/large-bundle.zip .)
rm -rf "${tmpDir}"
ls -al /tmp/large-bundle.zip
    ~~~
Comment 7 Michael Burman 2015-09-30 08:20:10 EDT
This can't be about user rights, I could successfully upload with those rights the bundle. I can't actually verify this bug at all, I can upload with the same rights a 1GB bundle successfully.

There's one thing though that might be the reason, the bundle binary is stored in the database. Maybe the database can't handle this load or is so slow the query timeout occurs.. mm. I don't have enough slow machine to verify this.
Comment 8 dsteigne 2015-09-30 14:24:17 EDT
(In reply to Michael Burman from comment #7)
> This can't be about user rights, I could successfully upload with those
> rights the bundle. I can't actually verify this bug at all, I can upload
> with the same rights a 1GB bundle successfully.
> 
> There's one thing though that might be the reason, the bundle binary is
> stored in the database. Maybe the database can't handle this load or is so
> slow the query timeout occurs.. mm. I don't have enough slow machine to
> verify this.

Michael,

Please let me know what permissions you have set on your test user.
Comment 9 dsteigne 2015-09-30 14:51 EDT
Created attachment 1078776 [details]
server log from my test
Comment 10 dsteigne 2015-09-30 14:52 EDT
Created attachment 1078778 [details]
Bundle user's permissions
Comment 11 dsteigne 2015-09-30 14:54:25 EDT
I am able to reproduce on my version 3.3.3 system with a 291MB bundle, I've attached my server log from the time and the permissions for the user uploading the bundle.  Again if the user has full permissions there is no issue.
Comment 15 dsteigne 2015-10-01 07:56 EDT
Created attachment 1079057 [details]
Latest Server.log from test
Comment 21 Jay Shaughnessy 2015-10-02 15:42:12 EDT
commit 1990e7d656006d8e868a1de7b20d12ec4b2d6ea0
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Fri Oct 2 15:40:47 2015 -0400

    BZ-1252142 Creation and group association of bundle fails with timeout
    See BZ for a detailed description of the issue.  This commit basically
    increases the timeout to compensate for the longer time required to
    stream large bundles into the DB, when performed via the GUI.
Comment 22 Simeon Pinder 2015-10-09 00:40:14 EDT
Moving to ON_QA as available to test with the following build:
https://brewweb.devel.redhat.com/buildinfo?buildID=460382

 *Note: jon-server-patch-3.3.0.GA.zip maps to ER01 build of
 jon-server-3.3.0.GA-update-04.zip.
Comment 23 Filip Brychta 2015-10-09 07:50:40 EDT
Original problem is resolved but the wizard is still not completed successfully.

The bundle created as described in comment 3 is successfully uploaded, but assignment to the group step fails because of timeout.

See attached screen shots - fist click on Next button, second click on Next button and third click on Next button.

Server log is attached as well.
Comment 24 Filip Brychta 2015-10-09 07:51 EDT
Created attachment 1081308 [details]
screenshot after first click
Comment 25 Filip Brychta 2015-10-09 07:51 EDT
Created attachment 1081309 [details]
screenshot after second click
Comment 26 Filip Brychta 2015-10-09 07:52 EDT
Created attachment 1081310 [details]
screenshot after third click
Comment 27 Filip Brychta 2015-10-09 07:52 EDT
Created attachment 1081311 [details]
server log
Comment 28 Jay Shaughnessy 2015-10-09 08:18:37 EDT
This is still showing a 30s timeout.  I don't understand why that would be.  Looking into it...
Comment 29 Jay Shaughnessy 2015-10-09 16:36:19 EDT
MASTER commit 86bbcd55209661e48beefc987dc3532142267930
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Fri Oct 9 16:29:13 2015 -0400

 The original fix commit for this problem is valid (1990e7d65).  It
 increased the RPC timeout from the default, 30s, to 10m in order to provide
 ample time for large distribution files to be processed server-side.

 This uncovered an unrelated issue with the way our RPC timeouts are
 handled. In short, gwt keeps only one instance of each rpc service even
 though you can reassign [custom] request builders, which we do, to apply
 our timeouts to the service. But each service lookup reassigns the timeout
 to it's needs.  So if you lookup the service and assign a 10m timeout, it
 can be 'overwritten' before it's actually used. And this is what happened
 in the QA test. I believe it could behave differently on different systems.
 On my system I actually saw it overwritten twice between two consecutive
 lines of code, the first looking up the bundle service and the second
 making the call.

 The reason is that we don't control the order of everything going on in
 gwt. For example, several classes initialized the bundle service as a
 class-field.  The initialization could happen at unexpected times.
 Instead, by chaining every bundle-service-lookup to the service call, the
 problem has gone away.  I particularly suspect the class-level decls in
 the DataSources, but we had plenty of advance initializations going on.

 This problem could may still affect other code using other services. This
 commit is for the bundle service only, other changes were out of scope.
Comment 30 Simeon Pinder 2015-10-15 01:07:30 EDT
branch: release/jon3.3.x
commit: aa79ebdd9d7b2502123b92ce9945a1a079f4528f
Author:     Jay Shaughnessy <jshaughn@redhat.com>
AuthorDate: Fri Oct 9 16:29:13 2015 -0400
Commit:     Simeon Pinder <spinder@redhat.com>
CommitDate: Tue Oct 13 07:08:13 2015 -0400

    [BZ 1252142]  Creation and group association of bundle fails with timeout followed by IllegalArgumentException
Comment 31 Simeon Pinder 2015-10-15 01:22:33 EDT
Moving to ON_QA as available to test with the following build:
https://brewweb.devel.redhat.com//buildinfo?buildID=461043

 *Note: jon-server-patch-3.3.0.GA.zip maps to ER02 build of
 jon-server-3.3.0.GA-update-04.zip.
Comment 32 Filip Brychta 2015-10-16 09:32:51 EDT
Verified on:
Version :	
3.3.0.GA Update 04
Build Number :	
e9ed05b:aa79ebd

Found two related issues:
bz1272473
bz1272358
Comment 34 errata-xmlrpc 2015-10-28 10:37:15 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1947.html

Note You need to log in before you can comment on or make changes to this bug.